/*
 * Class DATE
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_889 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_889 [] = {0xFF01,237,888,0xFFFF};
static const EIF_TYPE_INDEX egt_2_889 [] = {0xFF01,888,0xFFFF};
static const EIF_TYPE_INDEX egt_3_889 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_889 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_889 [] = {0xFF01,888,0xFFFF};
static const EIF_TYPE_INDEX egt_6_889 [] = {0xFF01,888,0xFFFF};
static const EIF_TYPE_INDEX egt_7_889 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_889 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_889 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_889 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_889 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_889 [] = {0xFF01,888,0xFFFF};
static const EIF_TYPE_INDEX egt_13_889 [] = {0xFF01,888,0xFFFF};
static const EIF_TYPE_INDEX egt_14_889 [] = {0xFF01,888,0xFFFF};
static const EIF_TYPE_INDEX egt_15_889 [] = {0xFF01,888,0xFFFF};
static const EIF_TYPE_INDEX egt_16_889 [] = {0xFF01,881,0xFFFF};
static const EIF_TYPE_INDEX egt_17_889 [] = {0xFF01,896,0xFF01,888,0xFFFF};
static const EIF_TYPE_INDEX egt_18_889 [] = {0xFF01,881,0xFFFF};
static const EIF_TYPE_INDEX egt_19_889 [] = {0xFF01,869,0xFFFF};
static const EIF_TYPE_INDEX egt_20_889 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_21_889 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_22_889 [] = {0xFF01,250,0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_23_889 [] = {0xFF01,250,0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_24_889 [] = {0xFF01,250,0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_25_889 [] = {0xFF01,250,0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_26_889 [] = {0xFF01,285,206,0xFFFF};
static const EIF_TYPE_INDEX egt_27_889 [] = {0xFF01,169,0xFFFF};
static const EIF_TYPE_INDEX egt_28_889 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_29_889 [] = {0xFF01,894,0xFFFF};
static const EIF_TYPE_INDEX egt_30_889 [] = {0xFF01,888,0xFFFF};
static const EIF_TYPE_INDEX egt_31_889 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_32_889 [] = {0xFF01,279,206,0xFFFF};
static const EIF_TYPE_INDEX egt_33_889 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_889[] = {
	{EIF_GENERIC(NULL), 12990, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_889), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_889), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1455, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_889), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_889), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_889), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_889), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_889), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_889), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_889), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_889), 13030, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_889), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_889), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06F1 /*888*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_889), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 13004, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1452, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1453, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1454, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1456, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_889), 1457, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_889), 1458, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_889), 13003, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_889), 13005, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_889), 12925, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_889), 13018, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12721, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12722, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_889), 12723, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_889), 12724, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12751, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12752, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12753, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12754, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12755, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12756, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_889), 12757, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_889), 12758, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_889), 12759, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_889), 12760, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_889), 12761, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12762, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12763, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_889), 12750, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12939, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12940, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12941, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12944, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12945, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12926, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12927, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12764, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12930, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_889), 6686, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12942, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12943, 0},
	{EIF_GENERIC(NULL), 12928, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12929, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12931, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12932, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12933, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12934, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12935, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12936, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_889), 12937, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12938, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12983, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12984, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12985, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12986, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12987, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12988, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12989, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12991, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12992, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12993, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12994, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12995, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12996, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12997, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12998, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12999, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13000, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13001, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13002, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 13006, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 13007, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 13008, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 13009, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 13010, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 13011, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 13012, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 13013, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 13014, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_889), 13015, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_889), 13016, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13017, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13019, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13020, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13021, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13022, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13023, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13024, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13025, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13026, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13027, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13028, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_889), 13031, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_889), 13032, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_889), 13029, 0xFFFFFFFF},
};
void Init889(void)
{
	IDSC(desc_889, 0, 888);
	IDSC(desc_889 + 1, 1, 888);
	IDSC(desc_889 + 32, 203, 888);
	IDSC(desc_889 + 36, 288, 888);
	IDSC(desc_889 + 39, 383, 888);
	IDSC(desc_889 + 43, 397, 888);
	IDSC(desc_889 + 47, 387, 888);
	IDSC(desc_889 + 61, 407, 888);
	IDSC(desc_889 + 69, 123, 888);
	IDSC(desc_889 + 71, 402, 888);
	IDSC(desc_889 + 83, 403, 888);
	IDSC(desc_889 + 90, 390, 888);
	IDSC(desc_889 + 126, 336, 888);
}


#ifdef __cplusplus
}
#endif
